View Issue Details

IDProjectCategoryView StatusLast Update
0003218CentOS-5kernelpublic2009-02-23 10:18
ReporterNed Slider Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.2 
Fixed in Version5.3 
Summary0003218: r8169 driver causes slow reads from Samba server
DescriptionThe CentOS 5.2 kernel r8169 RealTek RTL8111/8168B ethernet driver causes various issues on the following hardware:

# lspci | grep Ether
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

This bug is most notably manifested in slow reads from a Samba server when many files/large amounts of data are read/copied from the server. Writes to the server appear unaffected. Reverting to the latest RealTek (v8.00.8) r8168 driver resolves this issue. Reproducibility is always.

Reverting to the latest RealTek (v8.00.8) r8168 driver has also resolved other less reproducible issues such as random delays (typically 5-10 seconds) connecting to various websites.

CentOS community member Alan Bartlett has built a kmod packaged version of the latest RealTek driver available from here:

http://www.pperry.f2s.com/linux/ajb/r8168/ [^]

Alternatively, a dkms version is available from RPMForge (v8.004) or Wolfy has later revision dkms versions available here:

http://wolfy.fedorapeople.org/dkms-r8168/ [^]
Additional InformationThis bug is the same as bug ID 3177 assigned against the Samba package:

http://bugs.centos.org/view.php?id=3177

This bug has been discussed in the CentOS forums here:

http://www.centos.org/modules/newbb/viewtopic.php?topic_id=16784&forum=40
TagsNo tags attached.

Relationships

related to 0003029 resolvedkbsingh@karan.org RTL8111/8168B network card not work properly with 
related to 0003177 closedkbsingh@karan.org Samba 3.0.28-1.el5_2.1 Experiences VERY Slow Reads, But Normal Writes 

Activities

Ned Slider

Ned Slider

2008-10-31 01:25

reporter   ~0008212

This issue has been reported upstream:

https://bugzilla.redhat.com/show_bug.cgi?id=469274
Ned Slider

Ned Slider

2008-12-27 18:36

reporter   ~0008509

From a quick test of the latest RHEL 5.3 beta kernel (2.6.18-128.el5), it would appear the Samba issue is fixed for the kernel r8169 driver.

http://people.redhat.com/dzickus/el5/128.el5/

Awaiting to see if this is carried forward to the RHEL-5.3 release. I will be testing this in the CentOS-5.3 QA.
Ned Slider

Ned Slider

2009-01-13 17:34

reporter   ~0008569

This has been marked as resolved in the upstream bug report pending the release of RHEL5.3

user430

2009-02-23 10:18

  ~0008829

Fixed in 5.3

Issue History

Date Modified Username Field Change
2008-10-31 01:08 Ned Slider New Issue
2008-10-31 01:25 Ned Slider Note Added: 0008212
2008-10-31 10:31 user430 Relationship added related to 0003177
2008-12-27 18:36 Ned Slider Note Added: 0008509
2009-01-13 17:34 Ned Slider Note Added: 0008569
2009-02-21 10:07 toracat Relationship added related to 0003029
2009-02-21 10:11 toracat Status new => confirmed
2009-02-21 10:11 toracat Resolution open => fixed
2009-02-21 10:11 toracat Fixed in Version => 5.3
2009-02-23 10:18 user430 Note Added: 0008829
2009-02-23 10:18 user430 Status confirmed => closed